package net.lenkaspace.robotForaging.model;

public class Settings {
	
	public static String REPORT_RESOURCE_COLLECTED = "Resource collected";
	public static String REPORT_ROBOT = "Robot ";
	
	public static String VAR_DEPO_QUALITY = "Depo quality";
	public static String VAR_DEPO_EE = "Depo EE";
	public static String VAR_DEPO_ESTIM_EE = "Estim depo EE";
	public static String VAR_ODOM_ERROR = "Odometry error";
	public static String VAR_SEARCH_TIME = "tSearch";
	public static String VAR_SEARCH_TIME_PERCENT = "tSearch percent";
	public static String VAR_DISTANCE_FROM_BASE = "Dist from base";
	public static String VAR_DISTANCE_TRAVELLED = "Travelled";
	public static String VAR_RECRUITER_ID = "Recruiter ids";
	
	public static String VAR_TOTAL_RESOURCE = "Total";
	public static String VAR_RECRUITERD_RESOURCE = "Recruitment";
	
	public boolean showAvoidRadius = false;
	public boolean showOdometryPosition = true;
	public boolean showEstimDepoPosition = true;
	
	
	//==================================== SINGLETON ====================================
    private static Settings singletonReference;
	
	public static Settings getSingleton()	  {
	  if (singletonReference == null)
		  singletonReference = new Settings();		
	  return singletonReference;
	}
	
	//================
}
